ArcGISStreamService class final

A DynamicEntityDataSource that receives a stream of observations from an ArcGIS stream service.

Currently, this is the only concrete class deriving from DynamicEntityDataSource.

Members of this class allow an application to:

  • connect to and receive observations from an ArcGIS stream service
  • access metadata about the ArcGIS stream service
  • set a server-side filter on the service to limit the number and type of observations sent

In the current release, only stream services that send point geometries are supported.

To learn more about ArcGIS stream services see: ArcGIS Server - Stream Services in the ArcGIS Enterprise documentation.

Inheritance

Constructors

ArcGISStreamService.withPortalItem(PortalItem item)
Creates a new stream service from a portal item.
factory
ArcGISStreamService.withUri(Uri uri)
Creates a new stream service.
factory

Properties

connectionError ArcGISException?
The current network connection ArcGISException.
no setterinherited
connectionStatus ConnectionStatus
The current network connection status of the DynamicEntityDataSource.
no setterinherited
filter ArcGISStreamServiceFilter?
Defines which observations are returned from the service.
getter/setter pair
hashCode int
The hash code for this object.
no setterinherited
loadError ArcGISException?
The load error.
no setterinherited
loadStatus LoadStatus
The load status.
no setterinherited
maximumReconnectionAttempts int
The maximum number of attempts to reconnect after a connection fails.
getter/setter pairinherited
onConnectionStatusChanged Stream<ConnectionStatus>
Notification that the DynamicEntityDataSource.connectionStatus has changed.
no setterinherited
onDynamicEntityObservationPurged Stream<DynamicEntityObservationInfo>
Notification that a DynamicEntityObservation was purged.
no setterinherited
onDynamicEntityObservationReceived Stream<DynamicEntityObservationInfo>
Notification that a new DynamicEntityObservation was received.
no setterinherited
onDynamicEntityPurged Stream<DynamicEntityInfo>
Notification that a DynamicEntity was purged.
no setterinherited
onDynamicEntityReceived Stream<DynamicEntityInfo>
Notification that a new DynamicEntity was received.
no setterinherited
onLoadStatusChanged Stream<LoadStatus>
A stream that reports changes to the LoadStatus.
no setterinherited
portalItem PortalItem?
The PortalItem the stream service was created from.
no setter
purgeOptions DynamicEntityDataSourcePurgeOptions
A DynamicEntityDataSourcePurgeOptions that defines when observations are purged from the local data cache.
no setterinherited
reconnectionInterval double
The time (in seconds) to wait between attempts to reconnect.
getter/setter pairinherited
runtimeType Type
A representation of the runtime type of the object.
no setterinherited
serviceInfo ArcGISStreamServiceInfo?
Metadata that describes the ArcGIS stream service.
no setter
uri Uri?
The URL of the stream service.
no setter

Methods

cancelLoad() → void
Cancels loading metadata for the object.
inherited
connect() Future<void>
Connects to a service that provides dynamic entity observations.
inherited
disconnect() Future<void>
Closes the connection to a service.
inherited
load() Future<void>
Loads the metadata for the object asynchronously.
inherited
noSuchMethod(Invocation invocation) → dynamic
Invoked when a nonexistent method or property is accessed.
inherited
purgeAll() Future<void>
Removes all dynamic entity observations from the in-memory data cache as well as from the map or scene.
inherited
queryDynamicEntities(DynamicEntityQueryParameters parameters) Future<DynamicEntityQueryResult>
Returns all dynamic entities currently matching the specified query parameters.
inherited
queryDynamicEntitiesByTrackIds(List<String> trackIds) Future<DynamicEntityQueryResult>
Returns all dynamic entities with track ID values that match the specified list of track IDs.
inherited
retryLoad() Future<void>
Loads or retries loading metadata for the object asynchronously.
inherited
toString() String
A string representation of this object.
inherited

Operators

operator ==(Object other) bool
The equality operator.
inherited